%define ver 2.24.2
Obsoletes: VFlib
%ifos darwin
%define __soext	dylib
%define __cp_ar	cp -pPR
%define __etcdir	/private/etc
Provides: libVFlib.2.dylib
%else
%define	__soext so
%define __cp_ar	cp -ar
%define __etcdir	/etc
Provides: libVFlib.so.2
%endif

Summary: The vector font library (VFlib2)
Name: VFlib2
Version: %{ver}
Release: 8c
Source: ftp://TypeHack.aial.hiroshima-u.ac.jp/pub/TypeHack/VFlib2-%{ver}.tar.gz
Patch0: localhost:/vfontcap-jrpm.patch 
Patch1: localhost:/ltconfig.JRPM.patch
Patch2: localhost:/VFlib2-%{ver}-macosx.patch
Patch3: localhost:/vfontcap-macosx.patch 
Copyright: GPL2
URL: http://TypeHack.aial.hiroshima-u.ac.jp/VFlib/
Group: Libraries
Buildroot: %{_tmppath}/root-vflib2
Distribution: Japanese RPM (JRPM)
Vendor: Linux Japanese RPM Project
#Packager: Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
Packager: Keisuke Fujii <fujiik@jlcuxf.kek.jp>
Summary(ja): ٥ȥեȥ饤֥ (VFlib2)
#NoSource: 0
 
%description
VFlib is a library for converting vector fonts to bitmap data. Its
functions include rotation, shrinking, and changing the slant of
characters. VFlib is used by localized software for Japanese document
processing that requires Kanji fonts, for example xdvi, dvi2ps,
ghostscript.

%description -l ja 
VFlib ϥ٥ȥեȤӥåȥޥåץǡؤѴ򤹤饤֥
Ǥ ʸβž̾βʤɤεǽ⤢ޤܸ˥
饤줿 xdvi, dvi2ps ghostscript ʤɤδեȤɬפȤ
ܸʸץꥱ󥽥եȥVFlib ȤäƤޤ

%package devel
Obsoletes: VFlib-devel
Summary:  header files and static library for VFlib v2.24.0.
Summary(ja):  VFlib v2.24.0Υإåեȥƥå饤֥
Group: Development/Libraries
Requires: VFlib2

%description devel
This package contains the VFlib2 static libraries and header files
required to develop VFlib2-based applications.
%description -l ja devel
ΥѥåˤϡVFlib2Ѥץꥱγȯɬפʥ
ƥå饤֥ȥإåե뤬ޤޤƤޤ

%package VFjfm
Obsoletes: VFlib-VFjfm
Summary: Other useful files for using VFlib2
Summary(ja): VFlibѤ뤿Υե
Group: Applications/Publishing/TeX
Requires: VFlib2

%description VFjfm

JFM files (TFM files for ASCII Japanese TeX) and scripts to generating
JFM files and misc files to use DynaFont fonts by TeX and Ghostscript.
%description -l ja VFjfm
JFM ե(ASCII ܸ TeXǳƼΤȤɬפ TFM ե) 
ȡμưץȷӥʥեȤTeX  Ghostscript 
ǻȤγƼեࡣ

%prep
rm -rf   $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{__etcdir}
mkdir -p $RPM_BUILD_ROOT%{_prefix}/bin
mkdir -p $RPM_BUILD_ROOT%{_prefix}/lib
mkdir -p $RPM_BUILD_ROOT%{_prefix}/include
mkdir -p $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm

%setup
%ifnos darwin
%patch0 -p1 
%else
%patch3 -p1 -b .macosx
%endif
%patch1 -p1
%ifos darwin
%patch2 -p1 -b .macosx
%endif

%build
./configure --prefix=%{_prefix} --with-x --with-freetype --enable-shared --enable-static --with-freetype-includedir=%{_prefix}/include/freetype
make CFLAGS="$RPM_OPT_FLAGS -Wall -ansi -fno-common"

%install
make prefix=$RPM_BUILD_ROOT%{_prefix} install

%ifos darwin
(cd $RPM_BUILD_ROOT%{_prefix}/lib ; ln -f libVFlib%{ver}.%{__soext} libVFlib.%{ver}.%{__soext})
ln -fs libVFlib.%{ver}.%{__soext} $RPM_BUILD_ROOT%{_prefix}/lib/libVFlib.2.%{__soext}
ln -fs libVFlib.%{ver}.%{__soext} $RPM_BUILD_ROOT%{_prefix}/lib/libVFlib.%{__soext}
%else
(cd $RPM_BUILD_ROOT%{_prefix}/lib ; ln -f libVFlib2.%{__soext}.24.0.2 libVFlib.%{__soext}.%{ver})
ln -fs libVFlib.%{__soext}.%{ver} $RPM_BUILD_ROOT%{_prefix}/lib/libVFlib.%{__soext}.2
ln -fs libVFlib.%{__soext}.2 $RPM_BUILD_ROOT%{_prefix}/lib/libVFlib.%{__soext}
%endif
(cd $RPM_BUILD_ROOT%{_prefix}/lib ; ln -f libVFlib2.a libVFlib.a)

%ifos darwin
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ../..%{_prefix}/share/VFlib/%{ver}/vfontcap .)
%else
(cd $RPM_BUILD_ROOT%{__etcdir} ; ln -fs ..%{_prefix}/share/VFlib/%{ver}/vfontcap .)
%endif

%ifnos darwin
strip $RPM_BUILD_ROOT%{_prefix}/bin/ktest
strip $RPM_BUILD_ROOT%{_prefix}/bin/bdfindex
strip $RPM_BUILD_ROOT%{_prefix}/bin/ttindex
%endif

install -c -s -m 0755 src/fwindex $RPM_BUILD_ROOT%{_prefix}/bin

install -c -s -m 0755 tools/.libs/disol  $RPM_BUILD_ROOT%{_prefix}/bin
install -c -s -m 0755 tools/.libs/fmtest $RPM_BUILD_ROOT%{_prefix}/bin
install -c -s -m 0755 tools/.libs/kban   $RPM_BUILD_ROOT%{_prefix}/bin
install -c -s -m 0755 tools/.libs/vfperf $RPM_BUILD_ROOT%{_prefix}/bin
install -c -s -m 0755 tools/.libs/vftest $RPM_BUILD_ROOT%{_prefix}/bin

%{__cp_ar} jTeX $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm
%{__cp_ar} dynafont $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm

chmod 644  $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm/jTeX/jfmsrc/MakeSlantTFM

rm -rf $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm/dynafont/CVS

find $RPM_BUILD_ROOT%{_prefix}/share/VFlib/VFjfm/ -type f | uniq | sed -e "s;$RPM_BUILD_ROOT;;" > vfjfm.list

%ifnos darwin
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

%clean
rm -rf $RPM_BUILD_ROOT
rm -f $RPM_BUILD_DIR/VFlib2

%files
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%doc doc INSTALL COPYING COPYING.LIB DISTRIB.txt README.txt README.txt.JP_EUC CHANGES
%config %{_prefix}/share/VFlib/%{ver}/vfontcap
%{__etcdir}/vfontcap
%ifos darwin
%{_prefix}/lib/libVFlib%{ver}.%{__soext}
%{_prefix}/lib/libVFlib2.24.%{__soext}
%{_prefix}/lib/libVFlib.%{ver}.%{__soext}
%{_prefix}/lib/libVFlib.2.%{__soext}
%else
%{_prefix}/lib/libVFlib2.%{__soext}.24.0.2
%{_prefix}/lib/libVFlib2.%{__soext}.24
%{_prefix}/lib/libVFlib.%{__soext}.%{ver}
%{_prefix}/lib/libVFlib.%{__soext}.2
%endif
%{_prefix}/bin/ttindex
%{_prefix}/bin/bdfindex
%{_prefix}/bin/fwindex
%{_prefix}/bin/disol
%{_prefix}/bin/fmtest
%{_prefix}/bin/kban
%{_prefix}/bin/ktest
%{_prefix}/bin/vfperf 
%{_prefix}/bin/vftest
%dir %{_prefix}/share/VFlib
%dir %{_prefix}/share/VFlib/%{ver}
%{_prefix}/share/VFlib/%{ver}/vfontcap.bdf
%{_prefix}/share/VFlib/%{ver}/vfontcap.comp2

%files devel
%ifos darwin
%defattr(-,root,wheel)
%else
%defattr(-,root,root)
%endif
%{_prefix}/lib/libVFlib2.%{__soext}
%{_prefix}/lib/libVFlib2.a
%{_prefix}/lib/libVFlib2.la
%{_prefix}/lib/libVFlib.%{__soext}
%{_prefix}/lib/libVFlib.a
%{_prefix}/include/VF.h

%files VFjfm -f vfjfm.list
%defattr(-,root,wheel)
%ifos darwin
%else
%defattr(-,root,root)
%endif
%dir %{_prefix}/share/VFlib/VFjfm
%dir %{_prefix}/share/VFlib/VFjfm/dynafont
%dir %{_prefix}/share/VFlib/VFjfm/jTeX
%dir %{_prefix}/share/VFlib/VFjfm/jTeX/jfmsrc
%dir %{_prefix}/share/VFlib/VFjfm/jTeX/jfonts
%dir %{_prefix}/share/VFlib/VFjfm/jTeX/macros


%changelog
* Thu Oct 11 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release: 8c as 1st release on MacOS X Release 10.1

* Tue Apr 24 2001 Keisuke Fujii <fujiik@jlcuxf.kek.jp>
- Release: 8a as 1st release on MacOS X Release 10.0.01

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 7jrpm
- changed ltconfig.JRPM.patch

* Wed Jun 9 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 6jrpm
- added %defattr(-,root,root)

* Sat Jun 6 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 5jrpm
- fixed about linking
- added Provides: libVFlib.so.2

* Mon Apr 19 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 4jrpm
- small fixed

* Sat Apr 17 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release: 3jrpm
- fixed vfontcap
- deleted Provides: libVFlib.so.2

* Sat Feb 20 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 2
- make link (/usr/share/VFlib/2.24.2/vfontcap ->  /etc/vfontcap)

* Fri Feb 18 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.2
- Release: 1

* Wed Jan 13 1999 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 1
- vfontcap  PATH  ǥե(/usr/share/VFlib/2.24.1/vfontcap)
- ǥեȥեȤ xtt-fonts ѥåΤΤ

* Thu Dec 8 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.1
- Release: 0
- changed URL:
- deleted Source1: install-sh
- deleted Source2: config.sub
   ȼ configure ץ¿ѹ
- %doc 
	ReleaseNote -> CHANGES

* Wed Sep 16 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.4
- freetype Ȥ߹ޤƤؤ󤫤ä :P

* Mon Sep  9 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.24.0
- Release: 0.2

- ѹ
 /usr/local -> /usr 
 ¾

- ΤΥХ
 vfontcap ΥǥեȥեȥѥäƤʤ

* Sun May 24 1998 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2.
- ĶRedHat 5.0 
- VFlib  Group:  Libraries ѹ
- VFlib-devel  Group:  Development/Libraries ѹ
- VFlib-VFjfm  Group:  Applications/Publishing/TeX ѹ

* Mon Dec 1 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Version: 2.22pl10
- Release: 1 
- removed VFlib-2.22-sparc.patch
- moved /usr/local/lib/libVFlib.so to VFlib-devel

* Wed Nov 19 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 6
- added Distribution: and Vendor: tags

* Wed Oct 23 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 5
- VFlib-2.22-shared.patch  VFlib-2.22-jrpm.patch ѹ
- vfontcap ΥǥեȤѹѥå
- Group: ѹ
- /usr/src/VFjfm  /usr/local/src/VFjfm 
- strip ǥå:^)

* Wed Aug 18 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 4
- added script for /etc/ld.so.conf at %post 

* Wed Jun 30 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 3
- changed Some tools in tools/* linked -lVFlib dynamically.
- added ln -fs libVFlib.so.2 libVFlib.so

* Wed Jun 26 1997 Satoshi Ishikawa <tigre@cc.gifu-u.ac.jp>
- Release 2
- added Patch2 for sparc
	in fman.c
	Commented-out free(FM_Table[port].path); 
